// dmedia/win32.h - emulation of SGI's dmedia on Win32

#ifndef __DMEDIA_WIN32_H
#define __DMEDIA_WIN32_H

// audio.h
typedef void *ALconfig;
typedef void *ALport;

// moviefile.h
typedef int MVid;
typedef int MVtimescale;
typedef int MVtime;

// dm_buffer.h
typedef void *DMbuffer;
typedef void *DMbufferpool;
typedef void *DMimageconverter;
typedef int DMimagepacking;
typedef int DMcodedirection;
typedef int DMicspeed;
typedef int DMfraction;

typedef void *DMparams;

// system open() support (used in QMovie)
#include <fcntl.h>
//#ifndef O_RDONLY
//#define O_RDONLY    1
//#endif

// timecodes
enum TimecodeFormats
{ DM_TC_25_ND=1,
  DM_TC_30_ND=2,
  DM_TC_24_ND=3
};
typedef int DMtimecode;

#endif