/** query4.h - extension to Codebase **/

#ifndef __ALIB_WIN_QUERY4_H
#define __ALIB_WIN_QUERY4_H

#ifndef _WINDOWS

#include "d4all.h"

typedef struct
{ DATA4  *data;
  FIELD4 *field;        // Query field
  char   *val;          // Value to search
} QUERY4;

void query4free(QUERY4 *q);
QUERY4 *query4init(DATA4 *data,char *field,char *val);
int query4top(QUERY4 *q);
int query4skip(QUERY4 *q,int n);

#endif

#endif